Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.table
Class AbstractCellEditor

Direct Known Subclasses:
  PropertyValueEditor

public abstract class AbstractCellEditor
implements CellEditor, Serializable

Represents abstract cell editor. This editor can serialize it's contents.

Author:
  TogetherSoft

Field Summary
`protected ChangeEvent` | `changeEvent`
`protected EventListenerList` | `listenerList`

Constructor Summary
`AbstractCellEditor()` Initialize this editor.

Method Summary
`void` | `addCellEditorListener(CellEditorListener celleditorlistener)` Adds cell editor listener.
`void` | `cancelCellEditing()` Cancels cell editing.
`protected void` | `fireEditingCanceled()` Fires EditingCanceled event.
`protected void` | `fireEditingStopped()` Fires EditingStopped event.
`abstract Object` | `getCellEditorValue()` Returns value of this editor.
`boolean` | `isCellEditable(EventObject eventobject)` Checks whether it is possible to editor this cell.
`void` | `removeCellEditorListener(CellEditorListener celleditorlistener)` Removes cell editor listener.
`boolean` | `shouldSelectCell(EventObject eventobject)`
`boolean` | `stopCellEditing()` Stops cell editing.

Field Detail

### changeEvent

    protected ChangeEvent changeEvent

### listenerList

    protected EventListenerList listenerList

Constructor Detail

### AbstractCellEditor

    public AbstractCellEditor()

  Initialize this editor.

Method Detail

### addCellEditorListener

    public void addCellEditorListener(CellEditorListener celleditorlistener)

  Adds cell editor listener.
  Parameters:
    celleditorlistener - CellEditorListener to be added

### cancelCellEditing

    public void cancelCellEditing()

  Cancels cell editing. Fires EditingCancelled event.

### fireEditingCanceled

    protected void fireEditingCanceled()

  Fires EditingCanceled event.

### fireEditingStopped

    protected void fireEditingStopped()

  Fires EditingStopped event.

### getCellEditorValue

    public abstract Object getCellEditorValue()

  Returns value of this editor. Has to be overrided.

### isCellEditable

    public boolean isCellEditable(EventObject eventobject)

  Checks whether it is possible to editor this cell.
  Returns: Always true

### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener celleditorlistener)

  Removes cell editor listener.
  Parameters:
    celleditorlistener - CellEditorListener to be removed

### shouldSelectCell

    public boolean shouldSelectCell(EventObject eventobject)

### stopCellEditing

    public boolean stopCellEditing()

  Stops cell editing. Fires EditingStopped event.
  Returns: Always true

Association Links

to Class javax.swing.event.EventListenerList

to Class javax.swing.event.ChangeEvent

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD